%define lib_major 1

Summary: GNOME Assistive Technology Service Provider Interface
Name: at-spi
Version: 1.0.2
Release: 1mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/%{name}/%{name}-%{version}.tar.bz2
License: LGPL
Url: http://developer.gnome.org/projects/gap/
Group: Accessibility
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libgail-devel >= 0.15
Buildrequires: libbonobo2_0-devel >= 1.107.0
BuildRequires: gtk-doc >= 0.9

%description
This is the Early Access Release of the Gnome Accessibility Project's
Assistive Technology Service Provider Interface.

%package -n lib%{name}%{lib_major}
Summary:	GNOME Assistive Technology Service Provider Interface
Group:		%{group}

Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name} >= %{version}-%{release}

%description -n lib%{name}%{lib_major}
This is the Early Access Release of the Gnome Accessibility Project's
Assistive Technology Service Provider Interface.

%package -n lib%{name}%{lib_major}-devel
Summary:	Static libraries, include files for at-spi
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	lib%{name}%{lib_major} = %{version}-%{release}
Requires:   libbonobo2_0-devel
Requires:   libgail-devel

%description -n lib%{name}%{lib_major}-devel
This is the Early Access Release of the Gnome Accessibility Project's
Assistive Technology Service Provider Interface.


%prep
%setup -q

%build

%configure2_5x

# don't use macro, parallel compilation is broken
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n lib%{name}%{lib_major} -p /sbin/ldconfig
  
%postun -n lib%{name}%{lib_major} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS TODO 
%{_libdir}/at-spi-registryd
%{_libdir}/gtk-2.0/modules/*.so
%{_libdir}/orbit-2.0/*.so
%{_libdir}/bonobo/servers/*
%{_datadir}/idl/*

%files -n lib%{name}%{lib_major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n lib%{name}%{lib_major}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2

* Tue Jul 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Recompiled against gail 0.17

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Fix dependencies

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0
- Remove patch0 (merged upstream)

* Thu Apr 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-2mdk
- Patch0 (CVS): fix missing include

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-1mdk
- Release 0.12.1

* Mon Apr  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.0-1mdk
- Release 0.10.0
- Remove patch0 (merged upstream)

* Mon Mar 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.8-1mdk
- Initial Mdk package
- Patch0 (CVS): fix compilation with gtk+ 2.0.0


# end of file
